MKLTFS(8)

NAME
mkltfs - Format a tape in the drive to LTFS format

SYNOPSIS

mkltfs -d name [ -f ] [ -s id ] [ -n name ] [ -r rules ] [ -w ] [ -q ] [ -t ] [ -V ] [ -h ] [ -p ]

DESCRIPTION

mkltfs is a program to format a media for use with the IBM Spectrum Archive.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-d, --device=name
    Tape device name (required). On Linux, name is like '/dev/IBMtape0', on OSX, name is like '0'

-f, --force
    Force to format medium

-s, --tape-serial=id
    Tape serial number (6 alphanumeric ASCII characters)

-n, --volume-name=name
    Tape volume name (empty by default)

-r, --rules=rules
    Rules for choosing files to write to the index partition. The syntax of the rule argument is: size=1M size=1M/name=pattern size=1M/name=pattern1:pattern2:pattern3 A file is written to the index partition if it is no larger than the given size AND matches at least one of the name patterns (if specified). The size argument accepts K, M, and G suffixes. Name patterns might contain the special characters '?' (match any single character) and '*' (match zero or more characters).

--no-override
    Disallow mount-time data placement policy changes

-w, --wipe
    Restore the LTFS medium to an unpartitioned medium (format to a legacy scratch medium)

-q, --quiet
    Suppress progress information and general messages

-t, --trace
    Enable function call tracing

--syslogtrace
    Enable diagnostic output to stderr and syslog

-V, --version
    Version information

-h, --help
    Show help information

-p, --advanced-help
    Full help, including advanced options

  USAGE EXAMPLE

          /home/piste/ltfs05-sde/bin/mkltfs --device=/dev/IBMtape0 --rules="size=100K"
          /home/piste/ltfs05-sde/bin/mkltfs --device=/dev/IBMtape0 --rules="size=1M/name=*.jpg"
          /home/piste/ltfs05-sde/bin/mkltfs --device=/dev/IBMtape0 --rules="size=1M/name=*.jpg:*.png"

ADVANCED OPTIONS (EXPERIMENTAL)

The options described here is experimental functions.

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-i, --config=name
    Use the specified configuration file (default: )

-e, --backend=name
    Use the specified tape device backend (default: )

--kmi-backend=name
    Use the specified key manager interface backend (default: none)

-b, --blocksize=num
    Set the LTFS record size (default: 524288)

-c, --no-compression
    Disable compression on the volume

-k, --keep-capacity
    Keep the tape medium's total capacity proportion

-x, --fulltrace
    Enable full function call tracing (slow)

--long-wipe
    Unformat the medium and erase any data on the tape by overwriting special data pattern. This operation takes over 3 hours. Once you start, you cannot interrupt it.

SEE ALSO

ltfs-sde(8), ltfsck(8), tape-backend(4), kmi-backend(4), ltfs.conf(5).